Bug 1306885 - x86/mm: Found insecure W+X mapping at address
Summary: x86/mm: Found insecure W+X mapping at address
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-02-12 01:13 UTC by Jóhann B. Guðmundsson
Modified: 2016-05-27 13:32 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-27 13:32:51 UTC
Type: Bug


Attachments (Terms of Use)
Dmesg (74.44 KB, text/plain)
2016-02-12 01:13 UTC, Jóhann B. Guðmundsson
no flags Details

Description Jóhann B. Guðmundsson 2016-02-12 01:13:02 UTC
Created attachment 1123325 [details]
Dmesg

Description of problem:

[    0.760826] ------------[ cut here ]------------
[    0.760840] WARNING: CPU: 2 PID: 1 at arch/x86/mm/dump_pagetables.c:225 note_page+0x5e1/0x780()
[    0.760846] x86/mm: Found insecure W+X mapping at address ffff88000004e000/0xffff88000004e000
[    0.760849] Modules linked in:
[    0.760857] CPU: 2 PID: 1 Comm: swapper/0 Not tainted 4.4.1-300.fc23.x86_64 #1
[    0.760861] Hardware name: LENOVO 4180WPD/4180WPD, BIOS 83ET76WW (1.46 ) 07/05/2013
[    0.760865]  0000000000000000 00000000a0ed01b3 ffff8801193d3d48 ffffffff813b055f
[    0.760872]  ffff8801193d3d90 ffff8801193d3d80 ffffffff810a2f12 ffff8801193d3e90
[    0.760877]  8000000000000163 0000000000000004 0000000000000000 0000000000000000
[    0.760883] Call Trace:
[    0.760894]  [<ffffffff813b055f>] dump_stack+0x44/0x55
[    0.760903]  [<ffffffff810a2f12>] warn_slowpath_common+0x82/0xc0
[    0.760909]  [<ffffffff810a2fac>] warn_slowpath_fmt+0x5c/0x80
[    0.760916]  [<ffffffff8106f691>] note_page+0x5e1/0x780
[    0.760923]  [<ffffffff8106fb37>] ptdump_walk_pgd_level_core+0x307/0x450
[    0.760931]  [<ffffffff8106fd27>] ptdump_walk_pgd_level_checkwx+0x17/0x20
[    0.760936]  [<ffffffff81065a34>] mark_rodata_ro+0xf4/0x100
[    0.760944]  [<ffffffff8178d410>] ? rest_init+0x80/0x80
[    0.760949]  [<ffffffff8178d42d>] kernel_init+0x1d/0xe0
[    0.760956]  [<ffffffff8179948f>] ret_from_fork+0x3f/0x70
[    0.760960]  [<ffffffff8178d410>] ? rest_init+0x80/0x80
[    0.760965] ---[ end trace 595f6a95704fa726 ]---
[    0.780859] x86/mm: Checked W+X mappings: FAILED, 31117 W+X pages found.


Version-Release number of selected component (if applicable):

4.4.1-300.fc23.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Laura Abbott 2016-02-12 19:52:22 UTC
I think this is a known issue with EFI. There was a fix proposed but it broke other things so it stalled (see http://article.gmane.org/gmane.linux.kernel.efi/7112). Given this is debugging informational only, I'm going to turn it off in stable releases and let it remain on in rawhide to catch bugs there.


Note You need to log in before you can comment on or make changes to this bug.